/*
 * nfa.h
 *
 * All rights reserved. Copyright (C) 1996-1999 by NARITA Tomio
 * $Id: nfa.h,v 1.2 1999/05/13 16:55:43 nrt Exp $
 */

#ifndef __NFA_H__
#define __NFA_H__

#include <re.h>

public void ReInclude( set_t **root, re_t *target );
public void SetInclude( set_t **root, set_t *target );
public void ReMakeFollowpos( re_t *re );

public set_t *ReFirstpos( re_t *re );
public set_t *ReLastpos( re_t *re );
public void ReFollowpos( re_t *re );

#endif /* __NFA_H__ */
